<?php
include('session.php');
include('connection.php');
$b=$_GET['srno'];
mysqli_query($GLOBALS["___mysqli_ston"], "SET NAMES utf8");
$my="SELECT * FROM `main_dept_pdf` where srno='$b'";
/*$my="SELECT dp.srno,md.dept_name as department_name,sd.dept_sub_category as sub_dep_name,dp.sub_of_sub_dept,
												dp.Date,dp.document1,dp.file_text,dp.Status FROM `main_dept_pdf` dp join main_dept_category md on
												dp.department_name	= md.dept_id join main_sub_dept_cat1 sd on dp.sub_dep_name = sd.sub_dept_code
												where dp.srno = '$b'";*/
$n=mysqli_query($GLOBALS["___mysqli_ston"], $my) or die ("Query Fail:".mysqli_error($GLOBALS["___mysqli_ston"]));
if(mysqli_num_rows($n)>0)
{
		while($rw=mysqli_fetch_assoc($n)) 
		{
					$deptid=$rw['department_name'];
					$sub_dep_name=$rw['sub_dep_name'];
					$sub_of_sub_dept=$rw['sub_of_sub_dept'];
					$Date=$rw['Date'];
		}
}
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="samarth10" >

    <title>SB Admin 2 - Bootstrap Admin Theme</title>
 
    <!-- Bootstrap Core CSS -->
            
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    
    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">
 
    <!-- Custom CSS -->
     <link href="dist/css/sb-admin-2.css" rel="stylesheet">
 
    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"> 
   
 
 <link rel="stylesheet" href="http://code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
 
<script src="dist/js/jquery-1.7.1.min.js"></script>
 
<script src="http://code.jquery.com/jquery-1.10.2.js"></script>
<script src="http://code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
<link rel="stylesheet" href="/resources/demos/style.css">
<link rel="stylesheet" href="dist/css/bootstrap-datepicker.css">

<link rel="stylesheet" href="tinybox/style_tiny.css" />
<script type="text/javascript" src="tinybox/tinybox.js"></script>

<script src="dist/js/bootstrap-datepicker.js"></script>
<script src="dist/js/bootstrap-datepicker.min.js"></script>

        <script type="text/javascript" >

$(function()
{
$('#dp1').datepicker();	
	
	});
</script>

<script type="text/javascript" >
        
        
        
 function newsub()
{
//	alert('hjhgj');
		var srno=document.getElementById('srno').value;
		var head=document.getElementById('head').value;
		var head1=document.getElementById('head1').value;
	//alert(sno);
	var info=document.getElementById('info').value;
	var info1=document.getElementById('info1').value;
//alert(info);
var dp1=document.getElementById('dp1').value;

//alert(date1);
var file1=document.getElementById('file1').value;
	{  	
  	if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
	xmlhttp.onreadystatechange=function()
	{

    if (xmlhttp.readyState==4) 
	{
    // alert(xmlhttp.responseText);
      if(xmlhttp.responseText==1)	   {

	   alert("Updated Successfully");
       window.location.reload();
		
  }
  	  
  }
  }
var  res="&srno="+srno+"&head="+head+"&head1="+head1+"&info="+info+"&info1="+info1+"&dp1="+dp1;
//	alert(res);
  xmlhttp.open("POST","updatefile.php?"+res,true);
  xmlhttp.send(null); 
	 
}
}



function update_company(i)
		{
	//	alert(i)
			var Sr=i;
	//		alert(Sr);
														//	var xr=document.getElementById('x'+i).value;
															//alert(xr);
		TINY.box.show({iframe:"updation.php?srno="+i,boxid:'frameless',width:660,height:800,fixed:false,maskid:'bluemask',maskopacity:40,closejs:function(){closeJS()}});	
		
	
		
			}

$(document).ready(function(){
    $('#dept_name1').on('change', function() {
      if ( this.value == '1')
      {
      		$("#sub_dept_name1").empty();
      		$("#sub_dept_name1").append('<option value="">---select---</option><option value="मूळ आढावा">मूळ आढावा </option><option value="योजना आढावा">योजना आढावा </option>');
        $("#dept1").show();
      }
      else if(this.value == '4')
      {
      			$("#sub_dept_name1").empty();
      			$("#sub_dept_name1").append('<option value="">---select---</option><option value="स्थायी समिती सभा">स्थायी समिती सभा </option><option value="सर्वसाधारण समिती सभा">सर्वसाधारण समिती सभा </option>');
      			$("#dept1").show();
      }
      else
      {
      		$("#sub_dept_name1").empty();
        $("#dept1").show();
      }
    });
});

function dept_pdf_upload1() 
{
  //alert('hiii'); 
//var vname=document.getElementById('vname').value;

var srno=document.getElementById('srno').value;		
var dept_name=document.getElementById('dept_name').value;		
var sub_dept_name=document.getElementById('sub_dept_name').value;		

//alert (dept_name);

	if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
	xmlhttp.onreadystatechange=function()
	{
		if (xmlhttp.readyState==4)
		 {

				var msg=xmlhttp.responseText;
				//alert(msg);
			//	document.getElementById('sub_dept_name').innerHTML=msg;
				
			
			if(msg!=0)
			{
				document.getElementById('dept1').style.display='block';
				}
				document.getElementById('sub_dept_name').innerHTML=msg;
     
					}
}

			var res ="?dept_name="+dept_name; 
//alert(res);
		xmlhttp.open("GET", "dept_upload_insert12.php" + res, true); 
		xmlhttp.send(null); 
		//document.getElementById('submit').disabled=true;
					 
			// curr();	
}


function getsubdept1()
{
				var val = "";
				val = document.getElementById('dept_name11').value;
				var xmlhttp = new XMLHttpRequest();
		  xmlhttp.onreadystatechange = function() 
		  {
		      if (this.readyState == 4 && this.status == 200) 
		      {
		      				var msg = this.responseText;
		      				//alert(msg);
		      				apendsubdept(msg);
		          //document.getElementById("txtHint").innerHTML = this.responseText;
		      }
		  };
		  xmlhttp.open("GET", "getsubdept.php?q=" + val, true);
		  xmlhttp.send();
}

function apendsubdept(msg)
{
			var val = msg.split('#');
			var id = "";
			var names = "";
			$("#dept_name1").empty();
			$("#dept_name1").append("<option value=''>---Select---</option>");
			for(var i = 0; i< val.length; i++)
			{
						var val1 = 	val[i].split(',');
						id = val1[0];
						names = val1[1];
						$("#dept_name1").append("<option value='"+id+"'>"+names+"</option>");
			}
			var sel = "<?php echo $sub_dep_name;?>";
			var element = document.getElementById('dept_name1');
			element.value = sel;
}
</script>

</head>

<body onload="getsubdept1();">
    <div id="wrapper">            
        <div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                &nbsp;
                </div>
            </div>
            <!-- /.row -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            Current updates
                        </div>
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-lg-6">
                                   <form role="form" action="updatefile_dept.php" method="post"  enctype="multipart/form-data" class="contact_form">
                                       
                                        <div class="form-group" >
                                            <label>srno</label>
                                            <input class="form-control" placeholder="Enter Number" id="srno" name="srno" value="<?php echo $b;?>" readonly>
                                        </div>
                                          <div class="form-group">
                                             <label>Department Name:</label>
                                              <select  class="form-control" id="dept_name11" name="dept_name11" onchange="getsubdept1();">
                                              <option value="">---Select---</option>
																													            	<?php
                                              $dept="SELECT * FROM `main_dept_category`";
                                             	$res = mysqli_query($GLOBALS["___mysqli_ston"], "SET NAMES utf8");	
																																									$res=mysqli_query($GLOBALS["___mysqli_ston"], $dept) or die('Query Failed: 4' . mysqli_error($GLOBALS["___mysqli_ston"]));
																																										while($rw = mysqli_fetch_assoc($res))
																																									 {
																																									    	$ddept_id=$rw['dept_id'];
																																												 $dept_name=$rw['dept_name'];
																																												 
																																									?>
																																									<option value="<?php echo $ddept_id; ?>" <?php if(trim($ddept_id) == trim($deptid)) echo 'selected'; ?>><?php echo $dept_name; ?></option>';	
																																									<?php																																																																											
																																										} 
																																									?> 											                                          
					                                          </select>
					                                          </div>
					                                       <div class="form-group" id="dept">
                                             <label>Sub Department Name:</label>
                                             <select  class="form-control" id="dept_name1" name="dept_name1"> 
                                             <option value="">---Select---</option>
		                                            <!-- <?php
		                                              $dept="SELECT * FROM `main_sub_dept_cat1` where dept_sub_category NOT LIKE 'फोटो '";
		                                             
																																											$res = mysqli_query($GLOBALS["___mysqli_ston"], "SET NAMES utf8");	
																																											$res=mysqli_query($GLOBALS["___mysqli_ston"], $dept) or die('Error in fetch Sub Department');
																																											
																																											while($rw = mysqli_fetch_assoc($res))
																																										 {
																																													 $dept_sub_category=$rw['dept_sub_category'];
																																													 $sub_dept_code	= $rw['sub_dept_code'];
																																											?>
																																											<option value="<?php echo $sub_dept_code; ?>" <?php if(trim($sub_dep_name) == trim($sub_dept_code)) echo 'selected' ?>> <?php echo $dept_sub_category; ?></option>
																																											<?php																																											
																																											} 
																																									?>  -->
																																							</select>
                                          
                                          </div>
                                          
                                          
                                          <div class="form-group" id="dept1" >
                                             <label>Sub Of Sub Department Name:</label>
                                           <select  class="form-control" id="sub_dept_name1" name="sub_dept_name1" onchange="dept_pdf_upload1();" >
                                           <option value="">---Select---</option>
			                                         <?php
			                                         		if(trim($sub_dep_name) == '1' || trim($sub_dep_name) == '4')
			                                         		{
				                                         			if(trim($sub_dep_name) == '1')
				                                         			{
		                                              			$dept="SELECT * FROM `parichay` where srno in(2,3)";
		                                             	}
		                                             	else if(trim($sub_dep_name) == '4')
		                                             	{
		                                             			$dept="SELECT * FROM `parichay` where srno in(4,5)";
		                                             	}
																																											$res = mysqli_query($GLOBALS["___mysqli_ston"], "SET NAMES utf8");	
																																											$res=mysqli_query($GLOBALS["___mysqli_ston"], $dept) or die('Error in dept');
																																											while($rw = mysqli_fetch_assoc($res))
																																										 {
																																													 $dept_sub_category=$rw['parichay_department'];
																																									?>
																																												<option value="<?php echo $dept_sub_category; ?>" <?php if(trim($dept_sub_category) == trim($sub_of_sub_dept)) echo 'selected' ?>><?php echo $dept_sub_category; ?></option>
																																									<?php																															
																																											} 
																																									}
																																							?>
                                          </select>
                                          
                                        </div>
                                        
                                         
                                        <div class="form-group">
                                           <label>Date</label> 
                                            
                                        <input id="dp1" class="span2" placeholder="Select date" name="dp1" id="dp1" type="text" value="<?php echo $Date;?>">
                                        </div>
                                       
                                              <input type="submit"  name="submit" value="submit" /> 
                               
                                     
                                     </form>
                                      <!--     <?php $_SERVER['PHP_SELF'];?> -->
                                </div>
                                <!-- /.col-lg-6 (nested) -->
                            </div>
                            <!-- /.row (nested) -->
                        </div>
                        <!-- /.panel-body -->
                    </div>
                    <!-- /.panel -->
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    </div>
    <!-- /#wrapper -->

    <!-- jQuery -->
    <script src="../bower_components/jquery/dist/jquery.min.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="../bower_components/bootstrap/dist/js/bootstrap.min.js"></script>

    <!-- Metis Menu Plugin JavaScript -->
    <script src="../bower_components/metisMenu/dist/metisMenu.min.js"></script>

    <!-- Custom Theme JavaScript -->
    <script src="../dist/js/sb-admin-2.js"></script>

</body>

</html>
